# PepperPy

<div align="center">

![PepperPy Logo](docs/assets/logo.png)

[![PyPI version](https://badge.fury.io/py/pepperpy.svg)](https://badge.fury.io/py/pepperpy)
[![Python](https://img.shields.io/pypi/pyversions/pepperpy.svg)](https://pypi.org/project/pepperpy/)
[![Documentation Status](https://readthedocs.org/projects/pepperpy/badge/?version=latest)](https://pepperpy.readthedocs.io/en/latest/?badge=latest)
[![License](https://img.shields.io/github/license/pepperpy/pepperpy.svg)](https://github.com/pepperpy/pepperpy/blob/main/LICENSE)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

A modern, async-first Python framework for building powerful terminal applications with AI capabilities.

[Documentation](https://pepperpy.readthedocs.io/) |
[Examples](examples/) |
[Contributing](CONTRIBUTING.md) |
[Discord](https://discord.gg/pepperpy)

</div>

## Features

🚀 **Modern Architecture**
- Async-first design
- Type-safe implementation
- Modular and extensible

🎨 **Rich Terminal UI**
- Component-based interface
- Theming system
- Responsive layouts

🤖 **AI Integration**
- Agent-based automation
- Team coordination
- LLM integration

⚡ **High Performance**
- Efficient resource management
- Optimized async operations
- Smart caching

## Quick Start

### Installation

```bash
poetry install --only main
```
